Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.button
Class SimpleButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.base.client.button.SimpleButton

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

Direct Known Subclasses:
  CardActionButton, DatePickerButton, DialogButton, DisabledNavigationButton, NewButton, PopupButton

public class SimpleButton
extends com.google.gwt.user.client.ui.Composite

Author:
  Alexander Yuhimenko

Constructor Summary
`SimpleButton(String text, com.google.gwt.user.client.ui.ClickListener clickListener)`
`SimpleButton(String text, com.google.gwt.user.client.ui.ClickListener clickListener, com.google.gwt.user.client.ui.Image imageBorderRt, com.google.gwt.user.client.ui.Image imageBorderRtHover)`

Method Summary
`void` | `addClickListener(com.google.gwt.user.client.ui.ClickListener listener)`
`com.google.gwt.user.client.ui.Image` | `getImageBorderRt()`
`com.google.gwt.user.client.ui.Image` | `getImageBorderRtHover()`
`com.google.gwt.user.client.ui.HorizontalPanel` | `getLayoutPanel()`
`com.google.gwt.user.client.ui.MouseListener` | `getMouseListener()`
`com.google.gwt.user.client.ui.HorizontalPanel` | `getPanel()`
`String` | `getStyleNameButton()`
`String` | `getStyleNameButtonActive()`
`com.google.gwt.user.client.ui.HTML` | `getText()`
`String` | `getTooltip()`
`void` | `setImageBorderRt(com.google.gwt.user.client.ui.Image imageBorderRt)`
`void` | `setImageBorderRtHover(com.google.gwt.user.client.ui.Image imageBorderRtHover)`
`void` | `setMouseListener(com.google.gwt.user.client.ui.MouseListener mouseListener)`
`void` | `setText(String text)`
`void` | `setTooltip(String tip)`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleButton

    public SimpleButton(String text,
                        com.google.gwt.user.client.ui.ClickListener clickListener,
                        com.google.gwt.user.client.ui.Image imageBorderRt,
                        com.google.gwt.user.client.ui.Image imageBorderRtHover)

### SimpleButton

    public SimpleButton(String text,
                        com.google.gwt.user.client.ui.ClickListener clickListener)

Method Detail

### getImageBorderRt

    public com.google.gwt.user.client.ui.Image getImageBorderRt()

  Returns:
    the imageBorderRt

### getImageBorderRtHover

    public com.google.gwt.user.client.ui.Image getImageBorderRtHover()

  Returns:
    the imageBorderRtHover

### getPanel

    public com.google.gwt.user.client.ui.HorizontalPanel getPanel()

  Returns:
    the panel

### getStyleNameButton

    public String getStyleNameButton()

  Returns:

### getStyleNameButtonActive

    public String getStyleNameButtonActive()

  Returns:

### getText

    public com.google.gwt.user.client.ui.HTML getText()

  Returns:
    the text

### setImageBorderRt

    public void setImageBorderRt(com.google.gwt.user.client.ui.Image imageBorderRt)

  Parameters:
    `imageBorderRt` - the imageBorderRt to set

### setImageBorderRtHover

    public void setImageBorderRtHover(com.google.gwt.user.client.ui.Image imageBorderRtHover)

  Parameters:
    `imageBorderRtHover` - the imageBorderRtHover to set

### getLayoutPanel

    public com.google.gwt.user.client.ui.HorizontalPanel getLayoutPanel()

  Returns:
    the layoutPanel

### getMouseListener

    public com.google.gwt.user.client.ui.MouseListener getMouseListener()

  Returns:
    the mouseListener

### setMouseListener

    public void setMouseListener(com.google.gwt.user.client.ui.MouseListener mouseListener)

  Parameters:
    `mouseListener` - the mouseListener to set

### addClickListener

    public void addClickListener(com.google.gwt.user.client.ui.ClickListener listener)

  Parameters:
    `listener` -
  See Also:
    `Label.addClickListener(com.google.gwt.user.client.ui.ClickListener)`

### setText

    public void setText(String text)

### setTooltip

    public void setTooltip(String tip)

### getTooltip

    public String getTooltip()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD